Activities
What the company does, as activity codes with their description.
| Main activities | What the company mainly does, as activity codes with what they mean. |
|---|---|
| Secondary activities | Everything else it does, the same way. |
Request
GET
https://api.belscope.be/v1/companies/{number}/activitiescurl https://api.belscope.be/v1/companies/0400378485/activities \ -H "Authorization: Bearer YOUR_KEY"const response = await fetch('https://api.belscope.be/v1/companies/0400378485/activities', { headers: { Authorization: 'Bearer YOUR_KEY' },});const data = await response.json();import requests
response = requests.get( 'https://api.belscope.be/v1/companies/0400378485/activities', headers={'Authorization': 'Bearer YOUR_KEY'},)data = response.json()$context = stream_context_create([ 'http' => ['header' => 'Authorization: Bearer YOUR_KEY', 'ignore_errors' => true],]);$response = file_get_contents('https://api.belscope.be/v1/companies/0400378485/activities', false, $context);$data = json_decode($response, true);using var client = new HttpClient();client.DefaultRequestHeaders.Add("Authorization", "Bearer YOUR_KEY");var response = await client.GetAsync("https://api.belscope.be/v1/companies/0400378485/activities");var data = await response.Content.ReadAsStringAsync();Answer
Counts as 1 requestJSON
{ "enterprise_number": "0123.456.749", "activities": { "main": [ { "code": "62100", "description": "Ontwerpen van computerprogramma’s" }, { "code": "63100", "description": "Computerinfrastructuur, gegevensverwerking, hosting en aanverwante activiteiten" } ], "secondary": [ { "code": "58290", "description": "Uitgeven van overige software" }, { "code": "62200", "description": "Activiteiten op het gebied van computerconsultancy en beheer van computerfaciliteiten" }, { "code": "62900", "description": "Overige diensten op het gebied van informatietechnologie en computer" } ] }}Fields 6What every field in the answer means
| Field | Type | Description | Nullable |
|---|---|---|---|
enterprise_number | text | The enterprise number, always as 0123.456.749. | |
activities | block | What the company does, as activity codes (NACE-BEL 2025). | |
main | list | The main activities. | Empty list when none. |
secondary | list | The secondary activities, with the same fields as main. A code that is in main is not repeated here. | Empty list when none. |
code | text | The activity code. | |
description | text | What the code means. |